package MT::Plugin::DisableFormButton;
use strict;

use base qw( MT::Plugin );

require MT::Plugin;
require MT;

my $plugin = MT::Plugin::DisableFormButton->new({
    'name' => 'DisableFormButton',
    'author_name' => 'Yujiro Araki',
    'author_link' => 'http://www.koikikukan.com/',
    'description' => 'disable button.',
    'version' => '0.02',
});
MT->add_plugin($plugin);

MT->add_callback('MT::App::CMS::AppTemplateSource.entry_actions', 9, $plugin, \&entry_actions);

MT->add_callback('MT::App::CMS::AppTemplateSource.preview_entry', 9, $plugin, \&preview_entry);


sub entry_actions {
    my ($cb, $app, $template) = @_;
    my $old = <<HERE;
<div class="list-actions">
<div class="button-bar">
<TMPL_IF NAME=IS_POWER_EDIT>
<input type="button" value="<MT_TRANS phrase="Save">" accesskey="s" title="<MT_TRANS phrase="Save these entries (s)">" onclick="submitForm(this.form, 'save_entries')" />
<TMPL_ELSE>
<TMPL_IF NAME=ENTRY_EDIT>
<input accesskey="s" type="button" value="<MT_TRANS phrase="Save">" title="<MT_TRANS phrase="Save this entry (s)">" onclick="clearDirty(); submitForm(this.form, 'save_entry'); return true" />
<input type="submit" name="preview_entry" value="<MT_TRANS phrase="Preview">" accesskey="v" title="<MT_TRANS phrase="Preview this entry (v)">" onclick="clearDirty(); submitForm(this.form, 'preview_entry'); return true" />
<TMPL_IF NAME=ID>
<input accesskey="x" onclick="clearDirty(); doRemoveItems(this.form, '<MT_TRANS phrase="entry">', '<MT_TRANS phrase="entries">', false, { 'return_args': '__mode=list_entries&amp;blog_id=<TMPL_VAR NAME=BLOG_ID>' }); return true" type="button" value="<MT_TRANS phrase="Delete">" title="<MT_TRANS phrase="Delete this entry (x)">" />
</TMPL_IF>

<TMPL_ELSE>
<input type="button" onclick="doForMarkedInThisWindow(this.form, '<MT_TRANS phrase="entry">', '<MT_TRANS phrase="entries">', null, 'rebuild_new_phase', {<TMPL_IF NAME=BLOG_ID>'blog_id': '<TMPL_VAR NAME=BLOG_ID>'</TMPL_IF>}, '<MT_TRANS phrase="to rebuild">')" name="delete_entries" value="<MT_TRANS phrase="Rebuild">" accesskey="r" title="<MT_TRANS phrase="Rebuild selected entries (r)">" />
<input type="button" onclick="doRemoveItems(this.form, '<MT_TRANS phrase="entry">', '<MT_TRANS phrase="entries">')" name="delete_entries" value="<MT_TRANS phrase="Delete">" accesskey="x" title="<MT_TRANS phrase="Delete selected entries (x)">" />
</TMPL_IF>

</TMPL_IF>
</div>
<TMPL_UNLESS NAME=IS_POWER_EDIT>
<div class="button-bar-alt">
<TMPL_INCLUDE NAME="itemset_action_widget.tmpl">
</div>
</TMPL_UNLESS>
</div>
HERE

    $old = quotemeta($old);
    my $new = <<HERE;
<script type="text/javascript" src="<TMPL_VAR NAME=STATIC_URI>plugins/DisableFormButton/js/disableFormButton.js"></script>
<div class="list-actions">
<div class="button-bar">
<TMPL_IF NAME=IS_POWER_EDIT>
<input type="button" value="<MT_TRANS phrase="Save">" name="post" accesskey="s" title="<MT_TRANS phrase="Save these entries (s)">" onclick="submitForm(this.form, 'save_entries')" />
<TMPL_ELSE>
<TMPL_IF NAME=ENTRY_EDIT>
<input accesskey="s" type="button" name="post" value="<MT_TRANS phrase="Save">" title="<MT_TRANS phrase="Save this entry (s)">" onclick="clearDirty(); submitForm(this.form, 'save_entry'); return true" />
<input type="submit" name="preview_entry" value="<MT_TRANS phrase="Preview">" accesskey="v" title="<MT_TRANS phrase="Preview this entry (v)">" onclick="clearDirty(); submitForm(this.form, 'preview_entry'); return true" />
<TMPL_IF NAME=ID>
<input accesskey="x" onclick="clearDirty(); doRemoveItems(this.form, '<MT_TRANS phrase="entry">', '<MT_TRANS phrase="entries">', false, { 'return_args': '__mode=list_entries&amp;blog_id=<TMPL_VAR NAME=BLOG_ID>' }); return true" type="button" value="<MT_TRANS phrase="Delete">" title="<MT_TRANS phrase="Delete this entry (x)">" />
</TMPL_IF>

<TMPL_ELSE>
<input type="button" onclick="doForMarkedInThisWindow(this.form, '<MT_TRANS phrase="entry">', '<MT_TRANS phrase="entries">', null, 'rebuild_new_phase', {<TMPL_IF NAME=BLOG_ID>'blog_id': '<TMPL_VAR NAME=BLOG_ID>'</TMPL_IF>}, '<MT_TRANS phrase="to rebuild">')" name="delete_entries" value="<MT_TRANS phrase="Rebuild">" accesskey="r" title="<MT_TRANS phrase="Rebuild selected entries (r)">" />
<input type="button" onclick="doRemoveItems(this.form, '<MT_TRANS phrase="entry">', '<MT_TRANS phrase="entries">')" name="delete_entries" value="<MT_TRANS phrase="Delete">" accesskey="x" title="<MT_TRANS phrase="Delete selected entries (x)">" />
</TMPL_IF>

</TMPL_IF>
</div>
<TMPL_UNLESS NAME=IS_POWER_EDIT>
<div class="button-bar-alt">
<TMPL_INCLUDE NAME="itemset_action_widget.tmpl">
</div>
</TMPL_UNLESS>
</div>
<script type="text/javascript">
addFormAttribute(document.entry_form);
</script>
HERE

    $$template =~ s/$old/$new/;
}

sub preview_entry {
    my ($cb, $app, $template) = @_;
    my $old = <<HERE;
<TMPL_INCLUDE NAME="header.tmpl">

<form method="post" action="<TMPL_VAR NAME=SCRIPT_URL>">
<input type="submit" name="reedit" accesskey="e" value="<MT_TRANS phrase="Re-Edit this entry">" />
<input type="submit" name="save" accesskey="s" value="<MT_TRANS phrase="Save this entry">" />
<input type="submit" name="cancel" value="<MT_TRANS phrase="Cancel">" />
<input type="hidden" name="__mode" value="save_entry" />
<input type="hidden" name="magic_token" value="<TMPL_VAR NAME=MAGIC_TOKEN>" />
<TMPL_LOOP NAME=ENTRY_LOOP>
<input type="hidden" name="<TMPL_VAR NAME=DATA_NAME ESCAPE=HTML>" value="<TMPL_VAR NAME=DATA_VALUE ESCAPE=HTML>" />
</TMPL_LOOP>

<TMPL_VAR NAME=PREVIEW_BODY>

</form>

<TMPL_INCLUDE NAME="footer.tmpl">
HERE

    $old = quotemeta($old);
    my $new = <<HERE;
<TMPL_INCLUDE NAME="header.tmpl">
<script type="text/javascript" src="<TMPL_VAR NAME=STATIC_URI>plugins/DisableFormButton/js/disableFormButton.js"></script>

<form name="entry_form" id="entry_form" method="post" action="<TMPL_VAR NAME=SCRIPT_URL>">
<input type="submit" name="reedit" accesskey="e" value="<MT_TRANS phrase="Re-Edit this entry">" />
<input type="submit" name="save" accesskey="s" value="<MT_TRANS phrase="Save this entry">" />
<input type="submit" name="cancel" value="<MT_TRANS phrase="Cancel">" />
<input type="hidden" name="__mode" value="save_entry" />
<input type="hidden" name="magic_token" value="<TMPL_VAR NAME=MAGIC_TOKEN>" />
<TMPL_LOOP NAME=ENTRY_LOOP>
<input type="hidden" name="<TMPL_VAR NAME=DATA_NAME ESCAPE=HTML>" value="<TMPL_VAR NAME=DATA_VALUE ESCAPE=HTML>" />
</TMPL_LOOP>

<TMPL_VAR NAME=PREVIEW_BODY>

</form>

<script type="text/javascript">
addFormAttribute2(document.entry_form);
</script>
<TMPL_INCLUDE NAME="footer.tmpl">
HERE

    $$template =~ s/$old/$new/;
}

1;
